Get

[POST] .../v1/paymenttype/get

Returns information about payment method. Use this method to list payment methods for POS checkout, payment documents, order workflows and setup screens. The response returns a PaymentType array and supports id, account_id, enabled and is_cash filters while ids, account_ids, enabled and is_cash fields. The caller must have payment method select permission; missing body, denied access, invalid filters and persistent storage errors are returned as HTTP 200 ErrorResult business errors.

Request Parameters

Name Type Required Description
filters Array of Filter Optional Optional filters by fields available for this API method.

Filterable Fields

Field Type Description
account_id int IDs of accounts used by payment methods.
enabled string Payment method availability: true - available everywhere, frontoffice - available only at the cash register, backoffice - available only in BackOffice, false - unavailable.
id int Payment method IDs.
is_cash bool Filter by cash payment flag.

Request Example

{
  "filters": [
    {
      "Field": "enabled",
      "Operator": "Equal",
      "Value": "Frontoffice"
    },
    {
      "Field": "is_cash",
      "Operator": "Equal",
      "Value": "false"
    }
  ]
}

Response Parameters

Name Type Description
ok Boolean Indicates whether the request completed successfully.
result Array of PaymentType Result object.

Response Example

{
  "ok": true,
  "result": [
    {
      "id": 3,
      "name": "Bank card",
      "account": {
        "id": 42,
        "code": "1050",
        "name": "Card acquiring",
        "currency": {
          "id": 860,
          "code_num": 860,
          "code_chr": "UZS",
          "name": "Uzbek sum",
          "exchange_rate": 1.00000000,
          "is_base": true,
          "deleted": false,
          "last_update": 1712345600
        },
        "last_update": 1712345600
      },
      "shortkey": 2,
      "is_cash": false,
      "kkm_code": 1,
      "last_update": 1712345600,
      "enabled": "Frontoffice",
      "image_url": "https://cdn.example.com/payment-types/3.png"
    }
  ]
}